summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlastair Tse <liquidx@gentoo.org>2003-10-26 10:22:51 +0000
committerAlastair Tse <liquidx@gentoo.org>2003-10-26 10:22:51 +0000
commitcb4d3922134fd1c862a20e6445c6cad28062ec6c (patch)
tree4c6207d62b16f60cddd351da1d3feb020c16b54d /eclass/gnome2.eclass
parentNew version (diff)
downloadgentoo-2-cb4d3922134fd1c862a20e6445c6cad28062ec6c.tar.gz
gentoo-2-cb4d3922134fd1c862a20e6445c6cad28062ec6c.tar.bz2
gentoo-2-cb4d3922134fd1c862a20e6445c6cad28062ec6c.zip
put params behind quotes to protect against double quote bugs
Diffstat (limited to 'eclass/gnome2.eclass')
-rw-r--r--eclass/gnome2.eclass12
1 files changed, 6 insertions, 6 deletions
diff --git a/eclass/gnome2.eclass b/eclass/gnome2.eclass
index 8e17076c5d67..3b75bcc0b8a8 100644
--- a/eclass/gnome2.eclass
+++ b/eclass/gnome2.eclass
@@ -1,10 +1,10 @@
# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/gnome2.eclass,v 1.35 2003/08/03 02:33:15 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/gnome2.eclass,v 1.36 2003/10/26 10:22:51 liquidx Exp $
#
# Authors:
# Bruce A. Locke <blocke@shivan.org>
-# Spidler <spidler@gentoo.org>
+# Spidler <spider@gentoo.org>
inherit libtool gnome.org
[ `use debug` ] && inherit debug
@@ -29,13 +29,13 @@ gnome2_src_configure() {
&& G2CONF="${G2CONF} --enable-gtk-doc" \
|| G2CONF="${G2CONF} --disable-gtk-doc"
- econf ${@} ${G2CONF} || die "./configure failure"
+ econf "$@" ${G2CONF} || die "./configure failure"
}
gnome2_src_compile() {
- gnome2_src_configure ${@}
+ gnome2_src_configure "$@"
emake || die "compile failure"
}
@@ -50,11 +50,11 @@ gnome2_src_install() {
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL="1"
if [ -z "${USE_DESTDIR}" -o "${USE_DESTDIR}" = "0" ]; then
- einstall " scrollkeeper_localstate_dir=${D}/var/lib/scrollkeeper/ " ${@}
+ einstall "scrollkeeper_localstate_dir=${D}/var/lib/scrollkeeper/" "$@"
else
make DESTDIR=${D} \
scrollkeeper_localstate_dir=${D}/var/lib/scrollkeeper \
- ${@} install
+ "$@" install
fi
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL